Subject: Re: bug#20393: cannot compile when one folder has spaces

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Oct 2019 05:35:26 +0200

Christian <[email-masked]> writes:

> Hi, I found a problem when trying to compile using a project (gpj) file. Is 
> easy to solve.
>
> The problem is that if you're at a directory with spaces, gnatmake will 
> recieve two parameters instead of one.
>
> The solution is easy: The variable ada-build-make-cmd needs double quotes 
> between the "{gpr_file}" substring: 
> "${cross_prefix}gnatmake -P\"${gpr_file}\" -o ${main} ${main} ${gnatmake_opt} -
> cargs -I${src_dir} ${comp_opt} -bargs ${bind_opt} -largs ${link_opt}"

Stephen, could you take a look at this one?  I'm not familiar with
ada-mode -- does the ${} expansion quote the argument itself?  If not,
this seems like a logical solution, but will probably fail if the file
has a " character in the name.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no